Bug 1277344 - (CVE-2015-7189) CVE-2015-7189 Mozilla: Buffer overflow during image interactions in canvas (MFSA 2015-123)
CVE-2015-7189 Mozilla: Buffer overflow during image interactions in canvas (M...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151104,repor...
: Security
Depends On:
Blocks: 1275590
  Show dependency treegraph
 
Reported: 2015-11-03 00:54 EST by Huzaifa S. Sidhpurwala
Modified: 2015-11-27 02:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 10:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-11-03 00:54:43 EST
Security researcher Looben Yang reported a buffer overflow in the JPEGEncoder function during script interactions with a canvas element. This is caused by a race condition and incorrectly matched sizes following image interactions. This leads to a potentially exploitable crash. 


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-123.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Looben Yang as the original reporter.
Comment 1 errata-xmlrpc 2015-11-04 07:11:56 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2015:1982 https://rhn.redhat.com/errata/RHSA-2015-1982.html
Comment 2 errata-xmlrpc 2015-11-26 08:41:37 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:2519 https://rhn.redhat.com/errata/RHSA-2015-2519.html

Note You need to log in before you can comment on or make changes to this bug.